org.eclipse.gmt.modisco.infra.browser.uicore

## Class CustomizableModelContentProvider

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.browser.uicore.CustomizableModelContentProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public class CustomizableModelContentProvider
    extends java.lang.Object

A tree content provider used to display a model customized with a MoDico customization.

### Constructor Summary

Constructors
Constructor and Description
`CustomizableModelContentProvider(CustomizationManager customizationManager)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated.
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)` Deprecated.
`java.lang.Object[]` `getElements(java.lang.Object inputElement)` Deprecated.
`java.lang.Object` `getParent(java.lang.Object element)` Deprecated.
`java.lang.Object[]` `getRootElements(java.lang.Object inputElement)` Deprecated.
`boolean` `hasChildren(java.lang.Object element)` Deprecated.
`void` `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomizableModelContentProvider

    public CustomizableModelContentProvider(CustomizationManager customizationManager)

Deprecated.

### Method Detail

#### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

Deprecated.

#### getRootElements

    public java.lang.Object[] getRootElements(java.lang.Object inputElement)

Deprecated.

#### dispose

    public void dispose()

Deprecated.

#### inputChanged

    public void inputChanged(Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

Deprecated.

#### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

Deprecated.

#### getParent

    public java.lang.Object getParent(java.lang.Object element)

Deprecated.

#### hasChildren

    public boolean hasChildren(java.lang.Object element)

Deprecated.